Page MenuHomePhabricator

ci: always force eio to use fallback monitoring method
ClosedPublic

Authored by zmike on Jul 17 2018, 1:47 PM.

Details

Summary

inotify is not available in docker containers, so disable this for now
as it will always cause codepaths relying on it to time out

Depends on D6594

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
zmike created this revision.Jul 17 2018, 1:47 PM
zmike requested review of this revision.Jul 17 2018, 1:47 PM

Uggggh is this seriously a docker limitation and not a local configuration issue?

zmike added a comment.Jul 18 2018, 7:17 AM

I did a quick search for docker inotify issues and it seems like a lot of people have issues with it.

zmike updated this revision to Diff 15784.Jul 23 2018, 4:43 AM
zmike edited the summary of this revision. (Show Details)
zmike added a project: Restricted Project.
stefan_schmidt accepted this revision.Jul 24 2018, 3:15 AM
This revision is now accepted and ready to land.Jul 24 2018, 3:15 AM
This revision was automatically updated to reflect the committed changes.